Bug 1424905 - Coverity: Memory issues and dead code
Summary: Coverity: Memory issues and dead code
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nigel Babu
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-20 03:41 UTC by Nigel Babu
Modified: 2017-05-30 18:44 UTC (History)
1 user (show)

Fixed In Version: glusterfs-3.11.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 18:44:34 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Nigel Babu 2017-02-20 03:41:20 UTC
There's a few memory issues that are classified high priority and some dead code floating around.

Comment 1 Worker Ant 2017-02-20 03:44:06 UTC
REVIEW: https://review.gluster.org/16666 (Fix coverity errors) posted (#7) for review on master by Nigel Babu (nigelb@redhat.com)

Comment 2 Worker Ant 2017-02-22 05:20:26 UTC
REVIEW: https://review.gluster.org/16666 (libglusterfs, dht, locks, glusterd: Coverity fixes) posted (#8) for review on master by Nigel Babu (nigelb@redhat.com)

Comment 3 Worker Ant 2017-02-23 12:14:37 UTC
COMMIT: https://review.gluster.org/16666 committed in master by Shyamsundar Ranganathan (srangana@redhat.com) 
------
commit b584c068c6526853f82ccd2a406c3596d7d56be0
Author: Nigel Babu <nigelb@redhat.com>
Date:   Sat Feb 18 14:02:30 2017 +0530

    libglusterfs, dht, locks, glusterd: Coverity fixes
    
    Fix up use after free bugs and dead code
    
    Change-Id: I8f79ed6b5108926c1fac31c147b5ecba79d10785
    BUG: 1424905
    Signed-off-by: Nigel Babu <nigelb@redhat.com>
    Reviewed-on: https://review.gluster.org/16666
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>

Comment 4 Shyamsundar 2017-05-30 18:44:34 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.11.0, please open a new bug report.

glusterfs-3.11.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://lists.gluster.org/pipermail/announce/2017-May/000073.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.